[openssh-commits] [openssh] 04/04: upstream: verify that ChannelTimeout in a Match block is effective
git+noreply at mindrot.org
git+noreply at mindrot.org
Tue Jul 21 16:20:31 AEST 2026
This is an automated email from the git hooks/post-receive script.
djm pushed a commit to branch master
in repository openssh.
commit fed6e6fea68ff30bc0234f3ab24c4777132fba98
Author: djm at openbsd.org <djm at openbsd.org>
AuthorDate: Tue Jul 21 06:18:23 2026 +0000
upstream: verify that ChannelTimeout in a Match block is effective
OpenBSD-Regress-ID: 30770cad71ca060aaaa05e4bdd0ea8941b768c6b
---
regress/channel-timeout.sh | 13 ++++++++++++-
1 file changed, 12 insertions(+), 1 deletion(-)
diff --git a/regress/channel-timeout.sh b/regress/channel-timeout.sh
index 97708f2a2..1dd02a721 100644
--- a/regress/channel-timeout.sh
+++ b/regress/channel-timeout.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: channel-timeout.sh,v 1.2 2024/01/09 22:19:36 djm Exp $
+# $OpenBSD: channel-timeout.sh,v 1.3 2026/07/21 06:18:23 djm Exp $
# Placed in the Public Domain.
tid="channel timeout"
@@ -47,6 +47,17 @@ if [ $r -ne 255 ]; then
fail "ssh returned unexpected error code $r"
fi
+verbose "match command timeout"
+(cat $OBJ/sshd_proxy.orig ;
+ echo "match user *" ;
+ echo "ChannelTimeout session:command=1") \
+ > $OBJ/sshd_proxy
+${SSH} -F $OBJ/ssh_proxy somehost "sleep 5 ; exit 23"
+r=$?
+if [ $r -ne 255 ]; then
+ fail "ssh returned unexpected error code $r"
+fi
+
verbose "command long timeout"
(cat $OBJ/sshd_proxy.orig ; echo "ChannelTimeout session:command=60") \
> $OBJ/sshd_proxy
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list